Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server
Class ServerRequest

    java.lang.Object
      org.jboss.portal.server.ServerRequest

    public class ServerRequest

extends java.lang.Object

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary
`protected ServerInvocationContext` | `invocationContext` .
`protected java.util.Locale[]` | `locales` The locales for the scope of the current request.
`protected Server` | `server` The server used during the request.

Constructor Summary
`ServerRequest(ServerInvocationContext invocationContext)`

Method Summary
`java.util.Locale` | `getLocale()` Return the first locale in the locale list or null if the list is empty.
`java.util.Locale[]` | `getLocales()` Return the locales for the scope of the current request.
`Server` | `getServer()`
`void` | `setLocales(java.util.Locale[] locales)`
`void` | `setServer(Server server)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### locales

    protected java.util.Locale[] locales

  The locales for the scope of the current request.

### server

    protected Server server

  The server used during the request.

### invocationContext

    protected ServerInvocationContext invocationContext

  .

Constructor Detail

### ServerRequest

    public ServerRequest(ServerInvocationContext invocationContext)

Method Detail

### getServer

    public Server getServer()

### setServer

    public void setServer(Server server)

### getLocale

    public java.util.Locale getLocale()
                               throws java.lang.IllegalStateException

  Return the first locale in the locale list or null if the list is empty.

  Returns:
    the first locale in the list
  Throws:
    `java.lang.IllegalArgumentException` - if the locales field is null
    `java.lang.IllegalStateException`

### getLocales

    public java.util.Locale[] getLocales()

  Return the locales for the scope of the current request. It can be based on the locale decided by the web browser available in the original HTTP request or can be based on the current authenticated user that has decided a specific locale.

  Returns:
    the request locale

### setLocales

    public void setLocales(java.util.Locale[] locales)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD